## org.eclipse.datatools.modelbase.sql.schema
Interface Dependency

All Superinterfaces:
  SQLObject

All Known Implementing Classes:
  DependencyImpl

public interface Dependency
extends SQLObject

A representation of the model object 'Dependency'.

The following features are supported:

- `Target End`
- `Dependency Type`

See Also:
  `SQLSchemaPackage.getDependency()`

Method Summary
`java.lang.String` `getDependencyType()` Returns the value of the 'Dependency Type' attribute.
`EObject` `getTargetEnd()` Returns the value of the 'Target End' reference.
`void` `setDependencyType(java.lang.String value)` Sets the value of the '`Dependency Type`' attribute.
`void` `setTargetEnd(EObject value)` Sets the value of the '`Target End`' reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getTargetEnd

    public EObject getTargetEnd()

  Returns the value of the 'Target End' reference.

  If the meaning of the 'Target End' reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Target End' reference.
  See Also:
    `setTargetEnd(EObject)`, `SQLSchemaPackage.getDependency_TargetEnd()`

### setTargetEnd

    public void setTargetEnd(EObject value)

  Sets the value of the '`Target End`' reference.

  Parameters:
    `value` - the new value of the 'Target End' reference.
  See Also:
    `getTargetEnd()`

### getDependencyType

    public java.lang.String getDependencyType()

  Returns the value of the 'Dependency Type' attribute.

  If the meaning of the 'Dependency Type' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Dependency Type' attribute.
  See Also:
    `setDependencyType(String)`, `SQLSchemaPackage.getDependency_DependencyType()`

### setDependencyType

    public void setDependencyType(java.lang.String value)

  Sets the value of the '`Dependency Type`' attribute.

  Parameters:
    `value` - the new value of the 'Dependency Type' attribute.
  See Also:
    `getDependencyType()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.